package cn.superdesk.uniorder.dto.vo.kafka;

import java.io.Serializable;
import java.util.Date;


@Deprecated
public class UserEntity implements Serializable{
    /**
	 *
	 */
	private static final long serialVersionUID = -2891649494364066781L;

	/**
     * ID
     */
    private Integer id;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 手机号码
     */
    private String userMobile;

    /**
     * 用户类型 -1-低权限用户 0-普通白名单用户 2-被禁用的白名单用户
     */
    private Integer userType;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 学生号/身份证
     */
    private String userCardNo;

    /**
     * 生日
     */
    private String birthday;

    /**
     * 头像
     */
    private String userPhotoUrl;

    /**
     * 密码
     */
    private String password;

    /**
     * 认证状态 1启用、2禁用、3离职
     */
    private Integer status;

    /**
     * 审核建议
     */
    private String suggestion;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 证件照片1
     */
    private String imageUrl01;

    /**
     * 证件照片2
     */
    private String imageUrl02;

    /**
     * 证件照片3
     */
    private String imageUrl03;

    /**
     * 创建人
     */
    private Integer createdBy;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改人
     */
    private Integer updatedBy;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 项目id
     */
    private Integer orgId;

    /**
     * 企业ID
     */
    private Integer virtId;

    /**
     * 是否可用
     */
    private Integer enabled;

    /**
     * 员工编号
     */
    private String userNumber;

    /**
     * 入司时间
     */
    private Date enteringTime;

    /**
     * 职位名称
     */
    private String positionName;

    /**
     * 部门ID
     */
    private Integer departmentId;

    /**
     * face++用户唯一标识
     */
    private Integer facePlusUserId;

    /**
     * 企业用户角色(1-管理员,2-普通用户)
     */
    private Integer roleType;

    /**
     * 接受审核通知(0-不接收用户申请通知,关,1-接收用户申请通知,开)
     */
    private Integer noticePower;

    /**
     * 是否同步内购网
     */
    private Integer isSyncNeigou;

    /**
     * 是否责任人
     */
    private Integer isResponsible;

    /**
     * 是否有账单推送权限
     */
    private Integer isPushPower;

    /**
     * 是否有物品放行权限
     */
    private Integer isReleasePower;

    /**
     * 邮箱
     */
    private String email;

    private Integer reOrder;

    /**
     * 1-android 2-ios
     */
    private Integer deviceType;

    /**
     * 设备号
     */
    private String deviceNo;

    private String remark;

    /**
     * 积分
     */
    private Integer integral;

    /**
     * 航电用户userCode
     */
    private String userCode;

    /**
     * 微信用户ID
     */
    private String openid;

    /**
     * 白名单是否绑定微信用户
     */
    private Integer isBinding;

    /**
     * 白名单用户登录状态 0-未登录 1-已登录
     */
    private Integer isLogin;

    /**
     * 令令对接用户员工唯一标识
     */
    private String lingLingId;

    /**
     * 是否领导1是0不是
     */
    private Integer isLeader;

    private Integer isSyncSpaceHome;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 身份类型id
     */
    private Integer virtPermId;

    /**
     * 用户主体id
     */
    private Integer subjectId;

    /**
     * 平安订餐app用户的登录状态
     */
    private Integer appLogin;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getUserMobile() {
		return userMobile;
	}

	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}

	public Integer getUserType() {
		return userType;
	}

	public void setUserType(Integer userType) {
		this.userType = userType;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public String getUserCardNo() {
		return userCardNo;
	}

	public void setUserCardNo(String userCardNo) {
		this.userCardNo = userCardNo;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public String getUserPhotoUrl() {
		return userPhotoUrl;
	}

	public void setUserPhotoUrl(String userPhotoUrl) {
		this.userPhotoUrl = userPhotoUrl;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getSuggestion() {
		return suggestion;
	}

	public void setSuggestion(String suggestion) {
		this.suggestion = suggestion;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getImageUrl01() {
		return imageUrl01;
	}

	public void setImageUrl01(String imageUrl01) {
		this.imageUrl01 = imageUrl01;
	}

	public String getImageUrl02() {
		return imageUrl02;
	}

	public void setImageUrl02(String imageUrl02) {
		this.imageUrl02 = imageUrl02;
	}

	public String getImageUrl03() {
		return imageUrl03;
	}

	public void setImageUrl03(String imageUrl03) {
		this.imageUrl03 = imageUrl03;
	}

	public Integer getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Integer getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public Integer getVirtId() {
		return virtId;
	}

	public void setVirtId(Integer virtId) {
		this.virtId = virtId;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public String getUserNumber() {
		return userNumber;
	}

	public void setUserNumber(String userNumber) {
		this.userNumber = userNumber;
	}

	public Date getEnteringTime() {
		return enteringTime;
	}

	public void setEnteringTime(Date enteringTime) {
		this.enteringTime = enteringTime;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public Integer getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(Integer departmentId) {
		this.departmentId = departmentId;
	}

	public Integer getFacePlusUserId() {
		return facePlusUserId;
	}

	public void setFacePlusUserId(Integer facePlusUserId) {
		this.facePlusUserId = facePlusUserId;
	}

	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public Integer getNoticePower() {
		return noticePower;
	}

	public void setNoticePower(Integer noticePower) {
		this.noticePower = noticePower;
	}

	public Integer getIsSyncNeigou() {
		return isSyncNeigou;
	}

	public void setIsSyncNeigou(Integer isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}

	public Integer getIsResponsible() {
		return isResponsible;
	}

	public void setIsResponsible(Integer isResponsible) {
		this.isResponsible = isResponsible;
	}

	public Integer getIsPushPower() {
		return isPushPower;
	}

	public void setIsPushPower(Integer isPushPower) {
		this.isPushPower = isPushPower;
	}

	public Integer getIsReleasePower() {
		return isReleasePower;
	}

	public void setIsReleasePower(Integer isReleasePower) {
		this.isReleasePower = isReleasePower;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Integer getReOrder() {
		return reOrder;
	}

	public void setReOrder(Integer reOrder) {
		this.reOrder = reOrder;
	}

	public Integer getDeviceType() {
		return deviceType;
	}

	public void setDeviceType(Integer deviceType) {
		this.deviceType = deviceType;
	}

	public String getDeviceNo() {
		return deviceNo;
	}

	public void setDeviceNo(String deviceNo) {
		this.deviceNo = deviceNo;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getIntegral() {
		return integral;
	}

	public void setIntegral(Integer integral) {
		this.integral = integral;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public Integer getIsBinding() {
		return isBinding;
	}

	public void setIsBinding(Integer isBinding) {
		this.isBinding = isBinding;
	}

	public Integer getIsLogin() {
		return isLogin;
	}

	public void setIsLogin(Integer isLogin) {
		this.isLogin = isLogin;
	}

	public String getLingLingId() {
		return lingLingId;
	}

	public void setLingLingId(String lingLingId) {
		this.lingLingId = lingLingId;
	}

	public Integer getIsLeader() {
		return isLeader;
	}

	public void setIsLeader(Integer isLeader) {
		this.isLeader = isLeader;
	}

	public Integer getIsSyncSpaceHome() {
		return isSyncSpaceHome;
	}

	public void setIsSyncSpaceHome(Integer isSyncSpaceHome) {
		this.isSyncSpaceHome = isSyncSpaceHome;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	public Integer getVirtPermId() {
		return virtPermId;
	}

	public void setVirtPermId(Integer virtPermId) {
		this.virtPermId = virtPermId;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public Integer getAppLogin() {
		return appLogin;
	}

	public void setAppLogin(Integer appLogin) {
		this.appLogin = appLogin;
	}

}
